gnomeprint.ui.FontSelection
Prev | The Gnomeprintui Class Reference | Next

## gnomeprint.ui.FontSelection

gnomeprint.ui.FontSelection — FontSelection object for GnomePrintui

## Synopsis

    class gnomeprint.ui.FontSelection(gtk.Widget):
        gnomeprint.ui.FontSelection()
        def get_face()
        def get_font()
        def get_size()
        def set_font()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gnomeprint.ui.FontSelection

## Signal Prototypes

"font-set" | `def callback(`fontselection`, `data`, `...`)`

## Description

## Constructor

        gnomeprint.ui.FontSelection()

Returns : | a new `gnomeprint.ui.FontSelection`.

Creates a new `gnomeprint.ui.FontSelection` object.

## Methods

### gnomeprint.ui.FontSelection.get_face

        def get_face()

Returns : |

The `get_face`() method

### gnomeprint.ui.FontSelection.get_font

        def get_font()

Returns : |

The `get_font`() method

### gnomeprint.ui.FontSelection.get_size

        def get_size()

Returns : |

The `get_size`() method

### gnomeprint.ui.FontSelection.set_font

        def set_font()

Returns : |

The `set_font`() method

## Signals

### The "font-set" gnomeprint.ui.FontSelection Signal

        def callback(fontselection, data, ...)

`fontselection` : | the fontselection that received the signal
`data` : | additional data (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "font-set" signal is emitted when

Prev | Up | Next
gnomeprint.ui.FontDialog | Home | gnomeprint.ui.FontPreview